org.eclipse.rdf4j.rio.trigstar

## Class TriGStarParser

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFParser
  - - org.eclipse.rdf4j.rio.turtle.TurtleParser
    - - org.eclipse.rdf4j.rio.trig.TriGParser
      - - org.eclipse.rdf4j.rio.trigstar.TriGStarParser

- All Implemented Interfaces:
    RDFParser
  Direct Known Subclasses:
    SPARQLUpdateDataBlockParser

      public class TriGStarParser
      extends TriGParser

  RDF parser for TriG* (an extension of TriG that adds RDF* support).
  Author:
    Pavel Mihaylov

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `RDFParser.DatatypeHandling`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `object, predicate, subject`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `rdfHandler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TriGStarParser()` Creates a new TriGStarParser that will use a `SimpleValueFactory` to create RDF* model objects.
    `TriGStarParser(ValueFactory valueFactory)` Creates a new TriGStarParser that will use the supplied ValueFactory to create RDF* model objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this parser can parse.
    `protected Value` | `parseValue()` Parses an RDF value.
    `protected void` | `setContext(Resource context)`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.trig.TriGParser

      `getContext, parseGraph, parseStatement, parseTriples, reportStatement`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `getLineNumber, getSupportedSettings, parse, parse, parseBase, parseCollection, parseDirective, parseImplicitBlank, parseLongString, parseNodeID, parseNumber, parseObject, parseObjectList, parsePredicate, parsePredicateObjectList, parsePrefixID, parseQNameOrBoolean, parseQuotedLiteral, parseQuotedString, parseString, parseSubject, parseTripleValue, parseURI, peekCodePoint, peekIsTripleValue, processComment, readCodePoint, reportError, reportFatalError, reportFatalError, reportLocation, reportWarning, skipWSC, throwEOFException, unread, unread, verifyCharacterOrFail`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `clear, clearBNodeIDMap, createBNode, createBNode, createLiteral, createLiteral, createNode, createNode, createStatement, createStatement, createURI, datatypeHandling, getNamespace, getParseErrorListener, getParseLocationListener, getParserConfig, getRDFHandler, initializeNamespaceTableFromConfiguration, preserveBNodeIDs, reportError, reportError, reportError, reportError, reportFatalError, reportFatalError, reportFatalError, reportLocation, reportWarning, resolveURI, set, setBaseURI, setBaseURI, setDatatypeHandling, setNamespace, setParseErrorListener, setParseLocationListener, setParserConfig, setPreserveBNodeIDs, setRDFHandler, setStopAtFirstError, setValueFactory, setVerifyData, stopAtFirstError, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `parse, parse`

- - ### Constructor Detail

    - #### TriGStarParser

          public TriGStarParser()

      Creates a new TriGStarParser that will use a `SimpleValueFactory` to create RDF* model objects.

    - #### TriGStarParser

          public TriGStarParser(ValueFactory valueFactory)

      Creates a new TriGStarParser that will use the supplied ValueFactory to create RDF* model objects.
      Parameters:
        `valueFactory` - A ValueFactory.

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFParser`
      Gets the RDF format that this parser can parse.
      Specified by:
        `getRDFFormat` in interface `RDFParser`
      Overrides:
        `getRDFFormat` in class `TriGParser`

    - #### parseValue

          protected Value parseValue()
                              throws IOException,
                                     RDFParseException,
                                     RDFHandlerException

      Description copied from class: `TurtleParser`
      Parses an RDF value. This method parses uriref, qname, node ID, quoted literal, integer, double and boolean.
      Overrides:
        `parseValue` in class `TurtleParser`
      Throws:
        `IOException`
        `RDFParseException`
        `RDFHandlerException`

    - #### setContext

          protected void setContext(Resource context)

      Overrides:
        `setContext` in class `TriGParser`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.